function displaybc(md)
%DISPLAYBC - display of the boundary conditions fileds
%
%   to avoid clobbering display.m with every field from model md, 
%   we create this routine that displays boundary conditions  from model md, 
%   only if requested.
%
%   Usage:
%      displaybc(md)

disp(sprintf('   Boundary conditions:'));

disp(sprintf('\n      geography:'));
fielddisplay(md,'nodeonboundary','node on boundary flags list');
fielddisplay(md,'elementoniceshelf','element on ice shelf flags list');
fielddisplay(md,'nodeoniceshelf','node on ice shelf flags list');
fielddisplay(md,'elementonicesheet','element on ice sheet flags list');
fielddisplay(md,'nodeonicesheet','node on ice sheet flags list');

disp(sprintf('\n      diagnostic:'));
fielddisplay(md,'spcvx','x-axis velocity constraint (NaN means no constraint)');
fielddisplay(md,'spcvy','y-axis velocity constraint (NaN means no constraint)');
fielddisplay(md,'spcvz','z-axis velocity constraint (NaN means no constraint)');
fielddisplay(md,'pressureload','segments on ice front list (0:Air 1:Water 2:Ice)');

disp(sprintf('\n      prognostic:'));
fielddisplay(md,'spcthickness','thickness constraints (NaN means no constraint)');

disp(sprintf('\n      thermal:'));
fielddisplay(md,'spctemperature','temperature constraints (NaN means no constraint)');
